IF OBJECT_ID('dbo.fco_ausentismos') IS NULL
CREATE TABLE dbo.fco_ausentismos
(
    compania        char(4) NOT NULL,
    id_ausentismo   int NOT NULL,
    trabajador      char(10) NOT NULL,
    concepto        smallint NOT NULL,
    tipo            tinyint NOT NULL,
    fecha_inicio    smalldatetime,
    fecha_causacion smalldatetime,
    fecha_pago      smalldatetime,
    fecha_fin       smalldatetime,
    dias            smallint,
    tipo_dias       tinyint,
    diagnostico     varchar(5),
    observaciones   varchar(1000),
    id_origen       int,
    valor_ibc       decimal(19, 6),
    calculo_ibc     tinyint,
    fecha_registro  smalldatetime NOT NULL DEFAULT GETDATE(),
    usuario_registro varchar(30) NOT NULL DEFAULT SYSTEM_USER,
    fecha_ini_real smalldatetime,
    fecha_fin_real smalldatetime,
    fecha_accidente smalldatetime,
    nro_incapacidad varchar(20),
    horas decimal(8,3),
    CONSTRAINT PK_fco_ausentismos PRIMARY KEY (compania, id_ausentismo)
)
GO
GRANT ALL ON fco_ausentismos TO PUBLIC
GO

